# Matrix setup for Model M SSK using Colossus v1.0 Universal M Controller

led caps -PB4
led scroll -PB3
led num -PB2

matrix
	scanrate 1
	debounce 5
	blocking 1

	sense			PA4		PA5		PA6		PA7		PC7		PC6	PC5		PC4		PC3		PC2		PC1		PC0		PE1		PE0		PD7		PD5
	strobe	PB5		UNASSIGNED	UNASSIGNED	UNASSIGNED	UNASSIGNED	UNASSIGNED	B	SPACE		N		UNASSIGNED	UNASSIGNED	SLASH		DOWN		RIGHT		UNASSIGNED	LEFT		RALT
	strobe	PB6		RCTRL		RSHIFT		Z		X		C		V	ENTER		M		COMMA		PERIOD		UNASSIGNED	UNASSIGNED	UNASSIGNED	UNASSIGNED	PAUSE		UNASSIGNED
	strobe	PB7		UNASSIGNED	UNASSIGNED	A		S		D		F	BACKSLASH	J		K		L		SEMICOLON	UNASSIGNED	UNASSIGNED	UNASSIGNED	UNASSIGNED	UNASSIGNED
	strobe	PE4		UNASSIGNED	UNASSIGNED	Q		W		E		R	UNASSIGNED	U		I		O		P		UNASSIGNED	UNASSIGNED	UNASSIGNED	UNASSIGNED	SCROLL_LOCK
	strobe	PE5		UNASSIGNED	UNASSIGNED	1		2		3		4	F10		7		8		9		0		F11		F12		PAGE_DOWN	END		PRINTSCREEN
	strobe	PD0		LCTRL		UNASSIGNED	BACK_QUOTE	F1		F2		5	F9		6		EQUAL		F8		MINUS		DELETE		INSERT		PAGE_UP		HOME		UNASSIGNED
	strobe	PD1		UNASSIGNED	LSHIFT		TAB		CAPS_LOCK	F3		T	BACKSPACE	Y		RIGHT_BRACE	F7		LEFT_BRACE	UNASSIGNED	UNASSIGNED	UNASSIGNED	UNASSIGNED	UNASSIGNED
	strobe	PD4		UNASSIGNED	UNASSIGNED	ESC		UNASSIGNED	F4		G	F5		H		F6		UNASSIGNED	QUOTE		UNASSIGNED	UNASSIGNED	UNASSIGNED	UP		LALT
end

macroblock
    macro SCROLL_LOCK shift
      PRESS NUM_LOCK
      PRESS SELECT_1
    endmacro
endblock

ifselect 1
remapblock
	U PAD_4
	I PAD_5
	O PAD_6
	J PAD_1
	K PAD_2
	L PAD_3
	M PAD_0
	7 PAD_7
	8 PAD_8
	9 PAD_9
	PERIOD PAD_PERIOD
	SLASH PAD_SLASH
	SEMICOLON PAD_ASTERIX
	MINUS PAD_MINUS
	EQUAL PAD_PLUS
	ENTER PAD_ENTER
endblock

ifselect any